summaryrefslogtreecommitdiffstats
path: root/tests/protocol/test-qemudie-synch.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/protocol/test-qemudie-synch.sh')
-rwxr-xr-xtests/protocol/test-qemudie-synch.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/protocol/test-qemudie-synch.sh b/tests/protocol/test-qemudie-synch.sh
index fb4e25f3..398756e1 100755
--- a/tests/protocol/test-qemudie-synch.sh
+++ b/tests/protocol/test-qemudie-synch.sh
@@ -20,6 +20,11 @@
set -e
+if [ "$(../../fish/guestfish get-attach-method)" != "appliance" ]; then
+ echo "$0: test skipped because default attach-method is not 'appliance'"
+ exit 77
+fi
+
rm -f test.pid test1.img
../../fish/guestfish -N disk <<'EOF'